Subject: bug#17577: 24.3.91; Error during redisplay prevent quitting.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2014 14:07:05 +0300

> From: Thierry Volpiatto <[email-masked]>
> Date: Sat, 24 May 2014 06:50:26 +0200
> 
> we have an issue in helm that prevent quitting with C-g and return a
> error:
> 
> Error during redisplay: (eval (helm-show-candidate-number [...]

On second thought, perhaps I don't understand  what is considered to
be a bug here.  AFAIU from the discussion here:

  https://github.com/emacs-helm/helm/issues/522

the problem is that C-g during "a long search" doesn't exit helm.  Is
that true?  IOW, if you don't type C-g, is everything working
correctly, as it did in Emacs 24.3?

Or does the problem happen even if one doesn't type C-g?  If so, what
are the manifestations of the problem?  (The error shown in the above
URL clearly talks about a quit.)